Bug 393171 - evolution autocomplete with ldap is slow for first lookup, bordering on locking up
evolution autocomplete with ldap is slow for first lookup, bordering on locki...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 16:21 EST by Thomas J. Baker
Modified: 2007-12-18 13:02 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.12.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 13:02:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2007-11-20 16:21:11 EST
This seemed to happen late in the F8 test release and continues in the current
version - evolution-2.12.1-3.fc8.x86_64. I've got two ldap contact databases and
autocompletion from them almost never works reliably and quite often just locks
up evolution completely. The ldap contact databases work fine through the
contacts part of evolution but are buggy with autocompletion. I'm connecting to
F7 and F8 openldap servers using dn authentication and ssl. 

As an example, I create a new message and start typing an address. No
autocompletion takes place after the first three to five characters, with the
input field locking up as evolution starts doing it's lookup. Sometimes it
recovers and once I can type again, the next character triggers an
autocompletion and all subsequent addresses are autocompleted correctly. Other
times, it never recovers and I've got to nuke evolution completely.

I can add that on my rawhide system with evolution-2.21.2-1.fc9.i386 and the
same two ldap servers, autocompletion works as expected.
Comment 1 Milan Crha 2007-11-21 04:16:52 EST
There is not much difference between rawhide and F8 version of evolution, the
rawhide version is only the actual development version.

Can you install debug info packages for evolution, evolution-data-server and
gtkhtml3 and when it freezes, attach the process with gdb and put here result of
"thread apply all bt" please? Thanks in advance.
Comment 2 Thomas J. Baker 2007-12-18 10:23:23 EST
The last evolution version pushed to F8 seems to have cleared this problem up. 
Comment 3 Matthew Barnes 2007-12-18 13:02:29 EST
Thanks, closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.